Processing tools don't ask for input layer when choosing directly a multi layer datasource

2018-03-01 07:04 PM - Tobias Wendorff

Status: Open

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26192

Description

When loading a GeoPackage as an input for processing (direct loading without loading it in QGIS), the tool doesn't ask which layer to

use. Tools like intersect, buffer don't work and you can't select the field of a layer.

History

#1 - 2018-09-15 01:09 AM - Tobias Wendorff

- Assignee deleted (Victor Olaya)

This is still a problem. It seems like you can't select a layer...

#2 - 2018-09-15 03:42 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.3(master)

- Subject changed from QGIS3: tools don't ask for a layer (GPKG) to Processing tools don't ask for a layer (GPKG)

- Category changed from Processing/QGIS to Processing/Core

#3 - 2018-10-06 10:14 AM - Andrea Giudiceandrea

Confirmed also for SQLite and FileGDB (maybe others) multilayer containers.

In processing algorithms dialog window it is not possible to properly select a layer ("Select file" in the algorithm dialog window) from GPKG, SQLite,

FileGDB (maybe others) multilayer containers as input layer if it is not already present in the map.

It is only possible to select the GPKG / SQLite / FileGDB file but not to specify which of the layer contained in it must be used as input layer. In this case,

only the layer with layerid=0 is always used by the processing algorithm.

#4 - 2018-10-28 02:14 PM - Andrea Giudiceandrea

Confirmed on 3.4.0

#5 - 2018-10-28 09:35 PM - Giovanni Manghi

- Affected QGIS version changed from 3.3(master) to 3.4.0

#6 - 2018-10-28 10:25 PM - Tobias Wendorff

Andrea Giudiceandrea wrote:
Confirmed on 3.4.0

And on 3.5-dev, too. Actually, it's not only GPKG, really all others with multilayers, too: GeoJSON, OSM etc.

At least there should be a warning that only the first (random?) layer gets used.

#7 - 2018-10-29 09:19 PM - Giovanni Manghi

- Subject changed from Processing tools don't ask for a layer (GPKG) to Processing tools don't ask for input layer when choosing directly a multi layer 

datasource

Tobias Wendorff wrote:

Andrea Giudiceandrea wrote:

Confirmed on 3.4.0

And on 3.5-dev, too.

not surprising given the age of 3.4
